package com.offcn.live.tsdm.api;


/**
 * 接口地址
 *
 * @author wangwenlong
 * @date 2018/7/26
 */
class APIConstants {
    /**
     * 正式地址
     */
    private static final String HOST = "https://api.live.offcncloud.com/";
//    private static final String HOST = "https://live.offcncloud.com/api/";
    /**
     * 协议版本号
     */
    private static final String VERSION = "v1/";
    /**
     * 请求地址
     */
    public static final String BASE = HOST;

    /**
     * 用户相关接口
     */
    interface LiveUser {
        // 登录
        String userLogin = VERSION + "users";
    }

    /**
     * 播放相关接口
     */
    interface LiveVideo {
        // 获取播放地址
        String videoUrl = VERSION + "pull";
        // 获取是否有在推流
        String stream = VERSION + "room_stream";
        // 获取播放信息
        String roomInfo = VERSION + "room_info";
        // 获取单个用户信息
        String userInfo = VERSION + "users/{uuid}";
        // 获取老师信息
        String teacherInfo = VERSION + "get_teacher_info";
        // 获取文件列表
        String files = VERSION + "room_files";
        // 获取提问列表
        String questions = VERSION + "questions";
        // 获取公告列表
        String announce = VERSION + "announce?title=te";
        // 发言间隔时间
        String bannedTime = VERSION + "banned_time";
        // 房间状态
        String roomState = VERSION + "room_status";
        // 运营信息
        String operationInfo = VERSION + "operation_info";
        // 意见反馈
        String suggest = VERSION + "suggest";
        // 意见反馈
        String suggest_type = VERSION + "suggest_type";
        // 配置：服务器地址
        String config = VERSION + "get_config";
        // 回放：回放信息
        String playback = "user/on_demand";
        // 答题弹窗：是否答过此题
        String answerOrNot = VERSION + "answer/{qNo}";
        // 答题弹窗：获取当前房间正在进行的答题
        String answerCur = VERSION + "topic";
        // 评价：提交
        String evaluatePost = VERSION + "appraise_add";
        // 评价：是否评价过
        String evaluateOrNot = VERSION + "appraise_check";
        // 评价：是否放弃过
        String evaluateGiveUp = VERSION + "appraise_giveup";
        // 评价：点击评价按钮
        String evaluateClick = VERSION + "appraise_click";
        // 签到：是否签到过
        String signInCheck = VERSION + "sign_check";
        // 签到：上报签到
        String signIn = VERSION + "sign";
        // 签到：当前房间是否正在签到
        String signInNow = VERSION + "sign_in";
        // 抽奖：当前房间是否正在抽奖
        String lotteryNow = VERSION + "lottery";
        // 聊天记录：历史聊天记录
        String chatHistory = "user/getChats";
        // 回放：是否存在回放视频
        String playbackExist = VERSION + "record_check/{account}";
        // 连麦：是否允许举手
        String handsEnabled = VERSION + "check_handsup";
        // 连麦：是否正在连麦
        String handsGoing = VERSION + "check_calling";
        // 连麦：告知服务器连麦失败
        String handsFailed2Server = VERSION + "set_call";
    }
}
