package com.offcn.live.tsdm.api;

import android.content.Context;
import android.os.Build;

import com.jyall.base.util.DeviceUtils;
import com.offcn.live.tsdm.util.ZGLCacheManager;
import com.offcn.live.tsdm.util.ZGLUserInfoHelper;

import java.util.HashMap;

import tsdm.live.offcn.com.tsdownloadermanager.BuildConfig;

/**
 * 通用网络请求头部信息
 *
 * @author wangwenlong
 * @date 2018/8/2
 */
class CommonHeaders {
    /**
     * 通用的http请求头 header
     */
    private static HashMap<String, String> sCommonHeaders = new HashMap<>();

    /**
     * 设置通用的http请求的header
     */
    public static HashMap<String, String> getCommonHeaders(Context context) {

        //此处可以添加通用头
        sCommonHeaders.put("zgl-clienttype", "ZgLiveStudent");
        sCommonHeaders.put("zgl-clientversion", BuildConfig.VERSION_NAME);
        sCommonHeaders.put("zgl-systemtype", "Android");
        sCommonHeaders.put("zgl-systemversion", String.valueOf(Build.VERSION.RELEASE));
        sCommonHeaders.put("zgl-phonekey", DeviceUtils.getUniqueId(context));
        sCommonHeaders.put("zgl-phonetype", DeviceUtils.getPhoneType());
        sCommonHeaders.put("zgl-resolution", DeviceUtils.getScreenWidth(context) + "x" + DeviceUtils.getScreenHeight(context));

        HashMap<String, String> signMap = new HashMap<>(sCommonHeaders);

        // 目前只存在 access_token
        if (ZGLUserInfoHelper.getInstance().isLogin()) {
            signMap.put("Authorization", "Bearer " + ZGLCacheManager.getInstance(context).getUserInfo().access_token);
        } else {
            signMap.remove("Authorization");
        }
        return signMap;
    }
}
