package com.offcn.live.tsdm.api;

import com.offcn.live.tsdm.api.network.ResponseBean;
import com.offcn.live.tsdm.bean.ZGLPlaybackBean;
import com.offcn.live.tsdm.bean.ZGLSignInBean;

import java.util.List;
import java.util.Map;

import io.reactivex.Observable;
import okhttp3.RequestBody;
import okhttp3.ResponseBody;
import retrofit2.Call;
import retrofit2.Response;
import retrofit2.http.Body;
import retrofit2.http.DELETE;
import retrofit2.http.Field;
import retrofit2.http.FieldMap;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.GET;
import retrofit2.http.POST;
import retrofit2.http.Path;
import retrofit2.http.Query;
import retrofit2.http.Url;

/**
 * 接口实现
 *
 * @author wangwenlong
 * @date 2018/8/2
 */
public interface LiveApi {

    /**
     * 获取回放信息
     *
     * @return
     */
    @FormUrlEncoded
    @POST(APIConstants.LiveVideo.playback)
    Observable<Response<ResponseBean<ZGLPlaybackBean>>> getPlaybackInfo(@FieldMap Map<String, String> map);


    /**
     * 获取回放视频位于服务器的文件
     *
     * @param url
     * @return
     */
    @GET
    Call<ResponseBody> getPlaybackInfoFile(@Url String url);

    /**
     * 检测是否在回放视频
     *
     * @return
     */
    @GET(APIConstants.LiveVideo.playbackExist)
    Observable<Response<ResponseBean<ZGLSignInBean>>> getPlaybackExist(@Path("account") String account);

}
