package com.offcn.live.tsdm.bean;


import com.offcn.live.tsdm.ZGLDownLoaderManager;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.Unique;

import java.io.File;

/**
 * 视频下载实体
 *
 * @author wangwenlong
 * @date 2019/1/21
 */
@Entity
public class ZGLDownLoaderBean {
    @Id
    private Long id;

    @Unique
    private String code;    // 下载文件的唯一标识，房间口令

    private String roomName;    // 房间名称

    private String downloadPath; // 下载地址

    private int status;         // 下载文件的当前状态，默认为0未下载成功  1已下载 2下载中 3暂停中

    private String progress;    // 下载进度

    private String extensionId; // 扩展参数：外部提供的id，与code一一对应

    @Generated(hash = 1512665455)
    public ZGLDownLoaderBean(Long id, String code, String roomName,
                             String downloadPath, int status, String progress, String extensionId) {
        this.id = id;
        this.code = code;
        this.roomName = roomName;
        this.downloadPath = downloadPath;
        this.status = status;
        this.progress = progress;
        this.extensionId = extensionId;
    }

    @Generated(hash = 304727487)
    public ZGLDownLoaderBean() {
    }

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getRoomName() {
        return this.roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getDownloadPath() {
        return this.downloadPath;
    }

    public void setDownloadPath(String downloadPath) {
        this.downloadPath = downloadPath;
    }

    public int getStatus() {
        return this.status;
    }

    public ZGLDownloadStatusEnum getStatusEnum() {
        ZGLDownloadStatusEnum statusEnum = ZGLDownloadStatusEnum.NOT;
        switch (status) {
            case 0:
                statusEnum = ZGLDownloadStatusEnum.NOT;
                break;
            case 1:
                statusEnum = ZGLDownloadStatusEnum.DOWNLOADED;
                break;
            case 2:
                statusEnum = ZGLDownloadStatusEnum.DOWNLOADING;
                break;
            case 3:
                statusEnum = ZGLDownloadStatusEnum.PAUSED;
                break;

        }
        return statusEnum;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public boolean isLocalM3u8Exist() {
        String localM3u8Path = downloadPath + ZGLDownLoaderManager.NAME_M3U8;
        File localM3u8File = new File(localM3u8Path);
        if (localM3u8File.isFile() && localM3u8File.exists()) {
            return true;
        }

        return false;
    }

    public boolean isDownloaded() {
        return 1 == status;
    }

    public boolean isDownloading() {
        return 2 == status;
    }

    public boolean isPaused() {
        return 3 == status;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj instanceof ZGLDownLoaderBean) {
            return ((ZGLDownLoaderBean) obj).code.equals(this.code);
        }
        return false;
    }

    public String getProgress() {
        return this.progress;
    }

    public void setProgress(String progress) {
        this.progress = progress;
    }

    public String getExtensionId() {
        return this.extensionId;
    }

    public void setExtensionId(String extensionId) {
        this.extensionId = extensionId;
    }
}
