package com.offcn.live.tsdm.bean;

import android.text.TextUtils;

/**
 * 回放信息
 *
 * @author wangwenlong
 * @date 2018/11/7
 */
public class ZGLPlaybackBean {
    public String room_name;
    public String vod;          // 文件内容带有 http 的 ts 片的文件地址，用来下载
    public String vodName;     // 文件内容不带 http 的 ts 片的文件地址，用来本地播放

    public String sqlite;       // 聊天历史记录sqlite文件下载地址

    /**
     * 获取回放地址，ts地址里面带有http
     *
     * @return
     */
    public String getServerUrl() {
        if (TextUtils.isEmpty(vod)) {
            return "";
        }

        if (vod.startsWith("http:") || vod.startsWith("https:")) {
            return vod;
        }

        return "http:" + vod;
    }

    /**
     * 获取回放地址，ts地址不带http
     *
     * @return
     */
    public String getLocalUrl() {

        return vodName;
    }

    /**
     * 获取历史聊天记录sqlite文件
     *
     * @return
     */
    public String getSqliteUrl() {
        return sqlite;
    }
}
