package com.offcn.live.tsdm.util;

import com.google.gson.Gson;

import java.util.List;

/**
 * 解析工具类
 *
 * @author wangwenlong
 * @date 2018/7/27
 */
public class ZGLParseUtils {
    /**
     * 解析成对象
     *
     * @param source
     * @param clazz
     * @param <T>
     * @return
     */
    public static <T> T parseObjectByGson(String source, Class<T> clazz) {
        return new Gson().fromJson(source, clazz);
    }

    /**
     * 解析成数组
     *
     * @param source
     * @param clazz
     * @param <T>
     * @return
     */
    public static <T> List<T> parseArrayByGson(String source, Class<T> clazz) {
        try {
            return (List<T>) new Gson().fromJson(source, clazz);
        } catch (Exception e) {
            return null;
        }
    }

    /**
     * 解析成 json 字符串
     *
     * @param object
     * @return
     */
    public static String parseToJson(Object object) {
        return new Gson().toJson(object);
    }

}
