package com.offcn.live.tsdm.util;

import android.content.Context;
import android.text.TextUtils;

import com.offcn.live.tsdm.bean.ZGLUserBean;

/**
 * 用户信息工具类
 *
 * @author wangwenlong
 * @date 2018/8/2
 */
public class ZGLUserInfoHelper {
    private static final ZGLUserInfoHelper userInfoHelper = new ZGLUserInfoHelper();

    private ZGLUserBean mUserInfo;
    private boolean isLogin;

    public static ZGLUserInfoHelper getInstance() {
        return userInfoHelper;
    }

    /**
     * 是否已经登录
     *
     * @return
     */
    public boolean isLogin() {
        return isLogin;
    }

    /**
     * 获取token
     *
     * @return
     */
    public String getToken() {
        return mUserInfo.access_token;
    }

    private boolean isNull() {
        return mUserInfo == null || TextUtils.isEmpty(mUserInfo.access_token);
    }

    /**
     * 保存用户信息
     */
    public void saveUserInfo(Context context, ZGLUserBean mUserInfo) {
        this.mUserInfo = mUserInfo;
        ZGLSPUtils.setUserInfo(context, mUserInfo);
        isLogin = !isNull();
    }

    public ZGLUserBean getUserInfo(Context context) {
        if (null == mUserInfo) {
            mUserInfo = ZGLSPUtils.getUserInfo(context);
        }
        return mUserInfo;
    }

    public void deleteUserInfo(Context context) {
        this.mUserInfo = null;
        isLogin = false;
        ZGLSPUtils.setUserInfo(context, "");
    }
}
